Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis
Class AnalysisController.AnalysisControllerWithMapping

    java.lang.Object
      kieker.analysis.AnalysisController.AnalysisControllerWithMapping

Enclosing class:
  AnalysisController

    public static final class AnalysisController.AnalysisControllerWithMapping

extends Object

This is a wrapper for the `AnalysisController` which contains a mapping between the model instances and the actual objects as well. This is necessary if one wants to create an analysis based on an instance of `MIProject` and needs to map from the model instances to the actual created objects.

Since:
  1.6
Author:
  Andre van Hoorn, Nils Christian Ehmke, Jan Waller

Constructor Summary
`AnalysisController.AnalysisControllerWithMapping(AnalysisController controller, Map<MIPlugin,AbstractPlugin> pluginMap, Map<MIRepository,AbstractRepository> repositoryMap)` Creates a new instance of this class using the given parameters.

Method Summary
`AnalysisController` | `getController()` Getter for the property `controller`.
`Map<MIPlugin,AbstractPlugin>` | `getPluginMap()` Getter for the property `pluginMap`.
`Map<MIRepository,AbstractRepository>` | `getRepositoryMap()` Getter for the property `repositoryMap`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalysisController.AnalysisControllerWithMapping

    public AnalysisController.AnalysisControllerWithMapping(AnalysisController controller,
                                                            Map<MIPlugin,AbstractPlugin> pluginMap,
                                                            Map<MIRepository,AbstractRepository> repositoryMap)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `controller` - The analysis controller to be stored in this container.
    `pluginMap` - The mapping between actual plugins and their model counterparts.
    `repositoryMap` - The mapping between actual repositories and their model counterparts.

Method Detail

### getPluginMap

    public Map<MIPlugin,AbstractPlugin> getPluginMap()

  Getter for the property `pluginMap`.

  Returns:
    The current value of the property.

### getRepositoryMap

    public Map<MIRepository,AbstractRepository> getRepositoryMap()

  Getter for the property `repositoryMap`.

  Returns:
    The current value of the property.

### getController

    public AnalysisController getController()

  Getter for the property `controller`.

  Returns:
    The current value of the property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net